com.holonplatform.spring

## Interface SpringRestClient

- All Superinterfaces:
    RestClient, RestClientOperations<RestClient,RestClient.RequestDefinition>

      public interface SpringRestClient
      extends RestClient

  A `RestClient` using Spring `RestTemplate`.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClient

      `RestClient.Invocation, RestClient.RequestDefinition`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.rest.RestClientOperations

      `RestClientOperations.InvocationOperations<RE,RP,RS,RL,RU>, RestClientOperations.RequestConfiguration<R extends RestClientOperations.RequestConfiguration<R>>`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RestClient` | `create(org.springframework.web.client.RestTemplate restTemplate)` Create a `RestClient` using given `restTemplate`.
    `org.springframework.web.client.RestTemplate` | `getRestTemplate()` Get the `RestTemplate` bound to this RestClient.

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClient

      `create, create, create, create, forTarget, forTarget`

    - ### Methods inherited from interface com.holonplatform.http.rest.RestClientOperations

      `clearDefaultHeaders, defaultTarget, getDefaultTarget, removeDefaultHeader, request, withDefaultHeader`

- - ### Method Detail

    - #### getRestTemplate

          org.springframework.web.client.RestTemplate getRestTemplate()

      Get the `RestTemplate` bound to this RestClient.
      Returns:
        The RestTemplate

    - #### create

          static RestClient create(org.springframework.web.client.RestTemplate restTemplate)

      Create a `RestClient` using given `restTemplate`.
      Parameters:
        `restTemplate` - RestTemplate to use to perform invocations (not null)
      Returns:
        A new RestClient instance

Copyright © 2019 The Holon Platform. All rights reserved.